| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::algorithm::operator<< — iterator_range output operator

## Synopsis

    template<typename IteratorT, typename Elem, typename Traits>
      std::basic_ostream< Elem, Traits > &
      operator<<(std::basic_ostream< Elem, Traits > & Os,
                 const iterator_range< IteratorT > & Range);

## Description

Output the range to an ostream. Elements are outputed in a sequence without separators.

| Copyright © 2002-2004 Pavol Droba